Subject: X11R6_3 on Win95 -- Does Bash return environment space?
From: [email-masked] (Tijs Michels)

5 Mar 1998 01:57:56 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]

I am trying to port X11R6.3 to Win95 on b19.
On b18_Coolview, this was no problem.
On b19, however, things seem a bit more complicated.

From miracle.geol.msu.ru/sos/ I downloaded and installed:
- X116.3f2-b19.diff
- Coolview.tar.gz (for b19)

X11R6.3f2-b19.diff opens with five instructions.
The first three proved painless (getting and unpacking
the necessary archives and applying the patch).
Next I cd-ed to xc, entered "make -i World",
watched the progress for almost an hour and suddenly got:

  [...]
  depending in lib/font/util...
  ../../../config/makedepend/makedepend --
    -I../../../include/fonts -I../include -I../../..
    -I../../../exports/include -D__i386__ -DX_LOCALE
    -D_MT -DNO_TCP_H -DSHAPE -DXKB -DLBX -DXAPPGROUP
    -DXCSECURITY -DPIXPRIV -DGCCUSESGAS -DNDEBUG
    -DFUNCPROTO=15 -DNARROWPROTO -- utilbitmap.c
    fontnames.c fontutil.c fontxlfd.c format.c
    fontaccel.c atom.c miscutil.c private.c patcache.c
  (C:\GW\H-I386-CYGWIN32\BIN\SH.EXE 1109)
    wait_subproc: wait failed.
    nchildren 1, wait -1, err 6
  (C:\GW\H-I386-CYGWIN32\BIN\MAKE.EXE 1108)
    Exception: STATUS_ACCESS_VIOLATION
  (C:\GW\H-I386-CYGWIN32\BIN\MAKE.EXE 1108)
    Dumping stack trace to MAKE.EXE.core
  make[1]: *** [depend] Interrupt

Win95 displayed a window saying:

  Make caused an invalid page fault in module
  KERNEL32.DLL at 0137:bffbb9b4

Bash stalled and could only be revived with Ctrl-C.

At first I thought that SH.EXE (Ash) was causing
the problem, given the error message:

  (C:\GW\H-I386-CYGWIN32\BIN\SH.EXE 1109)
    wait_subproc: wait failed.
    nchildren 1, wait -1, err 6

So I temporarily renamed SH.EXE to ASH.EXE and copied
BASH.EXE to SH.EXE, like we used to do on b18.
This approach was hardly better. Very early in the make
process all action stops. Like this:

  [...]
  make[3]: Nothing to be done for `Makefiles'.
  making Makefiles in lib/Xaw...
  make[3]: Nothing to be done for `Makefiles'.
  making Makefiles in lib/XIE...
  make[3]: Nothing to be done for `Makefiles'.
  making Makefiles in lib/Xi...

By replacing in config.sys

  shell=c:\command.com c:\ /e:4096 /p

with something rediculous like

  shell=c:\command.com c:\ /e:32768 /p

the process stops about five minutes later.

Apparently Bash 2.01.1(2) eats environment space.
(In ~/.bashrc I have lots of "unsets" like
  unset A86
  unset CGMDATA
  unset DIRCMD
  unset DOS4G
  unset DVIDRVFONTS
  unset DVIDRVGRAPH
  unset EMTEXDIR
  unset GS_LIB
  unset JED_ROOT
  unset LFN
  unset MAKETEXPK
  unset MFJOBOPT
  unset RSX
  unset TEXINPUT
  [...]
and on b18 I never ran out of environment space.)

So using BASH.EXE as SH.EXE was no good idea.
And in fact right now I doubt Ash is the problem.
For I gave it another shot, this time after I had
explicitly disabled Job Control by adding

  set +o monitor #	disable Job Control

to ~/.bashrc. The process stopped at the same spot,
but this time did NOT say

  (C:\GW\H-I386-CYGWIN32\BIN\SH.EXE 1109)
    wait_subproc: wait failed.
    nchildren 1, wait -1, err 6

but only:

  make: *** [World] Interrupt
  make[1]: *** [depend] Interrupt

WHAT IS GOING ON? HAS ANYONE BEEN ABLE TO COMPILE
X11R6.3 ON WIN95?

Suggestions are much appreciated!

Tijs
[email-masked]

BTW, I was able to compile a number of other
     applications, so I have no reason to suspect
     that b19 has not been installed correctly.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".